<?php
ob_start();
/*
 *
 *  StatSig for Armagetron Advanced, by Dave Fancella
 *  
 *  @version $Id: statsig.php,v 1.1.1.1 2005/02/19 01:27:59 dave Exp $
 *
 *  This file is part of StatSig.
 *   
 *  StatSig is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  StatSig is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with StatSig; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  StatSig is copyright 2005 by David Fancella
 *
 */
 
require_once("aastats.inc.php");

$Servers = new aastats;

$allServers['swampland'] = array('name'=>'Swampland','location'=>'http://69.248.148.143:5001/tronstats/','type'=>'local');
$allServers['hell'] = array('name'=>'Hell','location'=>'http://davefancella.servebeer.com/aa/champions.php','type'=>'aapassthrough');

$thisPlayer = $_GET['player'];
$thisServer = isset($_GET['server'])
              ? $_GET['server'] : $Servers->globalname;
$backgroundPic = isset($_GET['pic'])
               ? $_GET['pic'] : 'statback.png';

if($thisServer != $Servers->globalname) {
    $dumbTmp = $allServers[$thisServer];
    $serverStr = $dumbTmp['name'];
} else {
    $serverStr = $thisServer;
}

foreach($allServers as $key=>$aServer) {
    $myserver = new aaserver($key,$aServer['location'],$aServer['type']);
    $Servers->AddServer($myserver);
    $Servers->LoadServer($key);
    unset($myserver);
}

$Servers->LoadGlobalServer();

$ladder = $Servers->GetPlayerLadder($thisServer,$thisPlayer);
$matches = $Servers->GetPlayerMatches($thisServer,$thisPlayer);
$rounds = $Servers->GetPlayerRounds($thisServer,$thisPlayer);

header ("Content-type: image/x-png");

$discard = ob_end_clean();

$thePicture = @imagecreatefrompng($backgroundPic);

$playerfont = 5;
$captionfont = 2;
$scorefont = 2;

if(strlen($thisServer) > 13) {
    $serverfont = 2;
} else {
    $serverfont = 5;
}

$sidemargin = 3;
$topmargin = 3;

$playersize = 16;
$serversize = 16;

$shadowdistance = 2;

$width = imagesx($thePicture);
$height = imagesy($thePicture);

$midpoint = $width/2;
$centerline = $midpoint-1;
$columnstart = ($width-$centerline)/2;

$lineinterval = 18;
$linegap = 1/4*($width-$centerline-$sidemargin);

$topline = 18;
$firstline = $topline+$lineinterval;

$firstverticalline = $width;

$textcolorshadow = imagecolorallocate($thePicture, 0, 0, 0);
$textface = imagecolorallocate($thePicture, 255, 255, 255);

// Draw all shadows first

// Player name
imagestring($thePicture, $playerfont, $sidemargin+$shadowdistance, $topline-$playersize+$shadowdistance, $thisPlayer, $textcolorshadow);

// Server name
imagestring($thePicture, $serverfont, $sidemargin+$shadowdistance, $height-$serversize-$topmargin+$shadowdistance, $serverStr, $textcolorshadow);

// The line under the player's name
imageline($thePicture,$sidemargin+$shadowdistance,$topline+$shadowdistance,$width-$sidemargin+$shadowdistance, $topline+$shadowdistance, $textcolorshadow);

// Horizontal lines in chart
for($lines = 0; $lines < 3; $lines++) {
    imageline($thePicture,$centerline+$shadowdistance,$firstline+($lines*$lineinterval)+$shadowdistance,$width-1, $firstline+($lines*$lineinterval)+$shadowdistance, $textcolorshadow);
    $lastknowny = $firstline+($lines*$lineinterval);
}    

// Vertical lines in chart
for($lines = 0; $lines < 3; $lines++) {
    imageline($thePicture,$width-1-$lines*$linegap, $topline+$shadowdistance,$width-1-$lines*$linegap, $lastknowny+$shadowdistance, $textcolorshadow);
}

// The ladder
imagestring($thePicture, $captionfont, $centerline+3+$shadowdistance, $topline+6, "Ladder", $textcolorshadow);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$shadowdistance, $topline+6, $ladder['rank'], $textcolorshadow);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$shadowdistance+$linegap, $topline+6, round($ladder['score'],1), $textcolorshadow);

// Matches
imagestring($thePicture, $captionfont, $centerline+3+$shadowdistance, $topline+$lineinterval+6, "Matches", $textcolorshadow);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$shadowdistance+$linegap, $topline+$lineinterval+6, $matches['rank'], $textcolorshadow);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$shadowdistance+$linegap, $topline+$lineinterval+6, round($matches['score'],1), $textcolorshadow);

// Rounds
imagestring($thePicture, $captionfont, $centerline+3+$shadowdistance, $topline+$lineinterval*2+6, "Rounds", $textcolorshadow);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$shadowdistance, $topline+$lineinterval*2+6, $rounds['rank'], $textcolorshadow);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$shadowdistance+$linegap, $topline+$lineinterval*2+6, round($rounds['score'],1), $textcolorshadow);

// Now draw the white faces

// Player name
imagestring($thePicture, $playerfont, $sidemargin, $topline-$playersize, $thisPlayer, $textface);

// Server name
imagestring($thePicture, $serverfont, $sidemargin, $height-$serversize-$topmargin, $serverStr, $textface);

// The line under the player's name
imageline($thePicture,$sidemargin,$topline,$width-$sidemargin, $topline, $textface);

for($lines = 0; $lines < 3; $lines++) {
    imageline($thePicture,$centerline,$firstline+($lines*$lineinterval),$width-3, $firstline+($lines*$lineinterval), $textface);
}    

// The ladder
imagestring($thePicture, $captionfont, $centerline+3, $topline+4, "Ladder", $textface);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3, $topline+4, $ladder['rank'], $textface);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$linegap, $topline+4, round($ladder['score'],1), $textface);

// Matches
imagestring($thePicture, $captionfont, $centerline+3, $topline+$lineinterval+4, "Matches", $textface);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3, $topline+$lineinterval+4, $matches['rank'], $textface);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$linegap, $topline+$lineinterval+4, round($matches['score'],1), $textface);

// Rounds
imagestring($thePicture, $captionfont, $centerline+3, $topline+$lineinterval*2+4, "Rounds", $textface);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3, $topline+$lineinterval*2+4, $rounds['rank'], $textface);
imagestring($thePicture, $scorefont, $columnstart + $centerline+3+$linegap, $topline+$lineinterval*2+4, round($rounds['score'],1), $textface);

// Vertical lines in chart
for($lines = 0; $lines < 3; $lines++) {
    imageline($thePicture,$width-3-$lines*$linegap, $topline,$width-3-$lines*$linegap, $lastknowny, $textface);
}

imagepng($thePicture);

?>